% Questa routine calcola le medie (giornaliere o per intervalli definiti)
% necessarie per le elaborazioni successive per i Multi Point Rod Extensometer Link
% DatiMultiBase contiene le medie per l'intervallo definito 
% ARRAYdate contiene le date e il tempo per ogni dato (per media
% giornaliera, la data di quel giorno)

function [ARRAYdate_MPBEL,DatiMultiBase] = MediaDati_MPBEL(DatiMultiBase,TimeMPBEL,NdatiMedia,FileName)

fileID = fopen(FileName,'a');
fmt = '%s \r';
text = 'MediaDati_MPBEL function started';
fprintf(fileID,fmt,text);

[r,~]=size(DatiMultiBase);
if NdatiMedia > r
    NdatiMedia = r;
end

%% Dati
DatiMultiBase = smoothdata(DatiMultiBase,'gaussian',NdatiMedia);

%% Matrice date
ARRAYdate_MPBEL = TimeMPBEL;

text = 'Average values for MultiPoint Borehole Rod Extensometer processed. MediaDati_MPBEL function closed';
fprintf(fileID,fmt,text);
fclose(fileID);

end